import React, { useCallback, useEffect, useMemo, useRef, useState } from 'react'
import Taro from '@tarojs/taro'
import { View, Image, Canvas } from '@tarojs/components'
import BadgeTag from '@/components/BadgeTag'
import Cashback from '../Cashback'
import './style.less'
import { random } from '@/utils'

export default (props) => {
  const { cashback, badge, image } = props

  const enableCashback = cashback !== undefined && cashback !== null

  const backStyle = {
    background: `url('${image}') no-repeat`,
    backgroundSize: '100%',
  }

  return (
    <View className='coupun-media_header'>
      {enableCashback && <Cashback money={cashback} style={{ marginTop: '-10px' }} />}
      <View className='coupun-media_thumb'>
        <BadgeTag type={badge} />
        <View className='image' style={backStyle}></View>
      </View>
    </View>
  )
}
