import React, { useEffect, useMemo, useState } from 'react'
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components'
import { random } from '@/utils';
import { classNames, getRect } from './utils';
import './style.less'

export default (props) => {
  const { className, itemClassName, style, gutter = 0, list, render, ...leftProps } = props
  const uqClass = useMemo(() => random('f'), [])

  const [styles, setStyles] = useState([])

  const handleImage = index => (e) => {
    const { height } = e
    const span = Math.ceil(height / 10)

    const itemStyle = { gridRow: `auto/span ${span}` }
    styles[index] = itemStyle
    
    if (styles.filter(Boolean).length === list.length) {    
      setStyles(styles.slice())
    }
  }

  // useEffect(() => {
  //   const t = setTimeout(() => {
  //     Taro.createSelectorQuery().selectAll(`.${uqClass} .waterfall-item`).boundingClientRect(rects => {
  //       console.log('---------waterfall-item---------->', rects)
  //     }).exec()
  //     clearTimeout(t)
  //   }, 500)
  // }, [list, uqClass])

  return (
    <View className={classNames(className, 'waterfall-wrapper', uqClass)}>
      {
        list.map((item, index) => {
          const st = styles[index]
          return (
            <View key={index} className={classNames(itemClassName, 'waterfall-item')} style={st}>
              {render(item, handleImage(index))}
            </View>
          )
        })
      }
    </View>
  )
}
